@echo off

rem
rem Format:  MalaSega <pathToRomFiles> <pathToRomFilesWithRom>
rem
rem
rem          where <pathToRomFiles> must include double quotes
rem                <RomFileWithExt> must include double quotes
rem
rem Example:
rem
rem  MalaSega "G:\Sega Roms\Genesis" "G:\Sega Roms\Genesis\3 Ninjas.zip"
rem
rem
rem
rem
rem SETUP DIRECTORY LOCATIONS (INCLUDING DOUBLE QUOTES)
rem -------------------------------------------------------------
rem
set FUSION_EMULATOR_EXE="D:\Emulators\Programs\fusion\Fusion.exe"
set SEGA_32X_ROMS_DIR="G:\Sega Roms\32X"
set SEGA_GAMEGEAR_ROMS_DIR="G:\Sega Roms\GameGear"
set SEGA_GENESIS_ROMS_DIR="G:\Sega Roms\Genesis"
set SEGA_MASTER_SYSTEM_ROMS_DIR="G:\Sega Roms\MasterSystem"



rem
rem LOGIC TO START FUSION EMULATOR
rem -------------------------------------------------------------
rem


if %1==%SEGA_32X_ROMS_DIR% (
	%FUSION_EMULATOR_EXE% %2 -32x -auto -fullscreen
	GOTO END
)

if %1==%SEGA_GAMEGEAR_ROMS_DIR% (
	%FUSION_EMULATOR_EXE% %2 -gg -auto -fullscreen
	GOTO END
)

if %1==%SEGA_GENESIS_ROMS_DIR% (
	%FUSION_EMULATOR_EXE% %2 -gen -auto -fullscreen
	GOTO END
)

if %1==%SEGA_MASTER_SYSTEM_ROMS_DIR% (
	%FUSION_EMULATOR_EXE% %2 -sms -auto -fullscreen
	GOTO END
)

:END